package com.ejie.m62fb.model.tipos;

public class TipoQuienAdjudicacion extends AbstractTipoGenericoR09 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final String NUM_REGISTRO = R09Tipos.TIPO_QUIEN_ADJUDICA;

	/**
	 * Method 'TipoQuienAdjudicacion'.
	 */
	public TipoQuienAdjudicacion() {
		super(TipoQuienAdjudicacion.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoQuienAdjudicacion'.
	 * 
	 * @param idElereg
	 *            String
	 */
	public TipoQuienAdjudicacion(String idElereg) {
		super(TipoQuienAdjudicacion.NUM_REGISTRO, idElereg);
	}

	/**
	 * Method 'TipoQuienAdjudicacion'.
	 * 
	 * @param idElereg
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoQuienAdjudicacion(String idElereg, String descripcionEs,
			String descripcionEu) {
		super(TipoQuienAdjudicacion.NUM_REGISTRO, idElereg, descripcionEs,
				descripcionEu);
	}
}